#
# spec file for package ghc-machines
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name machines
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.6.4
Release:        1.2
Summary:        Networked stream transducers
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-adjunctions-devel
BuildRequires:  ghc-cabal-doctest-devel
BuildRequires:  ghc-comonad-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-distributive-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-pointed-devel
BuildRequires:  ghc-profunctors-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-semigroupoids-devel
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-transformers-compat-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-void-devel
%if %{with tests}
BuildRequires:  ghc-doctest-devel
%endif

%description
Networked stream transducers

Rúnar Bjarnason's talk on machines can be downloaded from:
<https://dl.dropbox.com/u/4588997/Machines.pdf>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.markdown README.markdown examples

%changelog
* Mon Jul  9 2018 psimons@suse.com
- Update machines to version 0.6.4.
  0.6.4 [2018.07.03]
  - -----------------
  * Add `Semigroup` and `Monoid` instances for `Mealy` and `MealyT`.
  * Mark `runT` and `runT_` as `INLINEABLE`.
  * Increase the scope of the benchmarks. Also include the `streaming` library
    among the things that are benchmarked.
  * Allow building with `containers-0.6`.
* Thu Apr 12 2018 psimons@suse.com
- Update machines to version 0.6.3 revision 6.
  A more detailed change log is not available.
* Sat May 27 2017 psimons@suse.com
- Update to version 0.6.2 revision 1.
* Wed May  3 2017 psimons@suse.com
- Update to version 0.6.2 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.6.1 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.5.1 revision 1 with cabal2obs.
